package org.wjh.jboss.module;

import java.io.IOException;
import java.net.URL;
import java.util.Enumeration;

public class ResourceCheckingUtils {

    static void checkResources(String message) {
        log(message);
        ClassLoader classLoader = Thread.currentThread().getContextClassLoader();
        checkResource(classLoader, "NormalClasspathResource.txt");
        checkResource(classLoader, "META-INF/Resource.txt");
    }

    private static void checkResource(ClassLoader classLoader, String resourceLocation) {
        try {
            Enumeration<URL> resources = classLoader.getResources(resourceLocation);
            if (resources.hasMoreElements()) {
                log("The following resource(s) are found at location " + resourceLocation);
                while (resources.hasMoreElements()) {
                    URL resource = resources.nextElement();
                    log("--- " + resource.toExternalForm());
                }
            } else {
                log("*** *** NO resource is found at location " + resourceLocation);
            }
        } catch (IOException e) {
            e.printStackTrace();
        }

    }

    private static void log(String message) {
        System.out.println("... ... ... " + message);
    }
}
